Update topic
curl --request PATCH \
--url https://{instance}.omniapp.co/api/v1/models/{modelId}/topic/{topicName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Details about the Blobs R Us product roadmap",
"groupLabel": "Product",
"hidden": false,
"label": "Blob Roadmap",
"newTopicName": "2026 Blob Roadmap"
}
'import requests
url = "https://{instance}.omniapp.co/api/v1/models/{modelId}/topic/{topicName}"
payload = {
"description": "Details about the Blobs R Us product roadmap",
"groupLabel": "Product",
"hidden": False,
"label": "Blob Roadmap",
"newTopicName": "2026 Blob Roadmap"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: 'Details about the Blobs R Us product roadmap',
groupLabel: 'Product',
hidden: false,
label: 'Blob Roadmap',
newTopicName: '2026 Blob Roadmap'
})
};
fetch('https://{instance}.omniapp.co/api/v1/models/{modelId}/topic/{topicName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"detail": "<string>",
"status": 400
}{
"detail": "Unauthorized: Missing or invalid API key",
"status": 401
}{
"detail": "<string>",
"status": 403
}{
"detail": "<string>",
"status": 404
}Topics
Update topic
Update an existing topic.
PATCH
/
v1
/
models
/
{modelId}
/
topic
/
{topicName}
Update topic
Authorizations
bearerAuthorgApiKey
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
Path Parameters
The ID of the model.
Example:
"123e4567-e89b-12d3-a456-426614174000"
The name of the topic.
Example:
"sales_analytics"
Query Parameters
Branch ID to use for branch-aware operations
Example:
"123e4567-e89b-12d3-a456-426614174001"
Body
application/json
Description of the topic, shown in the topic picker
Example:
"Details about the Blobs R Us product roadmap"
Group label for the topic
Example:
"Product"
Whether the topic is hidden from the topic picker.
Example:
false
The display label for the topic
Example:
"Blob Roadmap"
The new name of the topic, if performing a rename.
Example:
"2026 Blob Roadmap"
Response
Topic updated successfully
Example:
true
Was this page helpful?

